APROPOS(1)

NAME
apropos - locate commands by keyword lookup

SYNOPSIS
apropos [-M path] [-m path] keyword ...

DESCRIPTION
Apropos shows which manual pages contain instances of any of the given keyword(s) in their title line. Each word is considered separately and case of letters is ignored. Words which are part of other words are considered; when looking for “compile”, apropos will also list all instances of “compiler”.

If the line output by apropos starts “name(section) ...” you can enter “man section name” to get its documentation.

The options are as follows:

-M  Override the list of standard directories apropos searches for a database named whatis.db. The supplied path must be a colon “”: separated list of directories. This search path may also be set using the environment variable MANPATH.

-m  Augment the list of standard directories apropos searches for its database. The supplied path must be a colon “”: separated list of directories. These directories will be searched before the standard directories, or the directories supplied with the -M option or the MANPATH environment variable.

ENVIRONMENT

MANPATH
    The standard search path used by man(1) may be overridden by specifying a path in the MANPATH environment variable. The format of the path is a colon “”: separated list of directories.

FILES
whatis.db
    name of the apropos database

SEE ALSO
man(1), whatis(1), whereis(1), makewhatis(8)

HISTORY
The apropos command appeared in 3.0BSD.